Package com.sas.lsaf.execution.session

## Class SessionQuery

- java.lang.Object
- - com.sas.lsaf.execution.session.SessionQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SessionQuery
      extends java.lang.Object
      implements java.io.Serializable

  The class that contains the criteria to query sessions.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SessionQuery()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `Session.SessionEngine` | `getEngine()` | Gets the session engine to query.
    `java.util.Date` | `getFromDateEnded()` | Gets the beginning date of the session ended date range to query.
    `java.util.Date` | `getFromDateStarted()` | Gets the beginning date of the session started date range to query.
    `int` | `getLimit()` | Gets the maximum number of sessions to return.
    `Session.SessionState` | `getState()` | Gets the state of the session to query.
    `java.lang.String` | `getSubmissionLabel()` | Gets the submission label to query for sessions.
    `java.util.Date` | `getToDateEnded()` | Gets the end date of the session ended date range to query.
    `java.util.Date` | `getToDateStarted()` | Gets the end date of the session started date range to query.
    `Session.SessionType` | `getType()` | Gets the type of session to query.
    `java.lang.String` | `getUserId()` | Gets the user identifier of the session owner to query.
    `int` | `hashCode()` |
    `void` | `setEngine​(Session.SessionEngine engine)` | Sets the session engine to query.
    `void` | `setFromDateEnded​(java.util.Date fromDateEnded)` | Sets the beginning date of the session started date range to query.
    `void` | `setFromDateStarted​(java.util.Date fromDateStarted)` | Sets the end date of the session ended date range to query.
    `void` | `setLimit​(int limit)` | Sets the maximum number of sessions to return.
    `void` | `setState​(Session.SessionState state)` | Sets the state of the session to query.
    `void` | `setSubmissionLabel​(java.lang.String submissionLabel)` | Sets the submission label to query for sessions.
    `void` | `setToDateEnded​(java.util.Date toDateEnded)` | Sets the end date of the session ended date range to query.
    `void` | `setToDateStarted​(java.util.Date toDateStarted)` | Sets the end date of the session started date range to query.
    `void` | `setType​(Session.SessionType type)` | Sets the type of session to query.
    `void` | `setUserId​(java.lang.String userId)` | Sets the user identifier of the session owner to query.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionQuery

          public SessionQuery()

      Constructor.

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user identifier of the session owner to query.
      Returns:
        The user identifier of the session owner to query.

    - #### setUserId

          public void setUserId​(java.lang.String userId)

      Sets the user identifier of the session owner to query.
      Parameters:
        `userId` - The user identifier of the session owner to query.

    - #### getEngine

          public Session.SessionEngine getEngine()

      Gets the session engine to query.
      Returns:
        The session engine to query.

    - #### setEngine

          public void setEngine​(Session.SessionEngine engine)

      Sets the session engine to query.
      Parameters:
        `engine` - The session engine to query.

    - #### getType

          public Session.SessionType getType()

      Gets the type of session to query.
      Returns:
        The type of session to query.

    - #### setType

          public void setType​(Session.SessionType type)

      Sets the type of session to query.
      Parameters:
        `type` - The type of session to query.

    - #### getState

          public Session.SessionState getState()

      Gets the state of the session to query.
      Returns:
        The state of the session to query.

    - #### setState

          public void setState​(Session.SessionState state)

      Sets the state of the session to query.
      Parameters:
        `state` - The state of the session to query.

    - #### getSubmissionLabel

          public java.lang.String getSubmissionLabel()

      Gets the submission label to query for sessions.
      Returns:
        The submission label to query for sessions.

    - #### setSubmissionLabel

          public void setSubmissionLabel​(java.lang.String submissionLabel)

      Sets the submission label to query for sessions.
      Parameters:
        `submissionLabel` - The submission label to query for sessions.

    - #### getFromDateStarted

          public java.util.Date getFromDateStarted()

      Gets the beginning date of the session started date range to query.
      Returns:
        The beginning date of the session started date range to query.

    - #### setFromDateStarted

          public void setFromDateStarted​(java.util.Date fromDateStarted)

      Sets the end date of the session ended date range to query.
      Parameters:
        `fromDateStarted` - The end date of the session ended date range to query.

    - #### getToDateStarted

          public java.util.Date getToDateStarted()

      Gets the end date of the session started date range to query.
      Returns:
        The end date of the session started date range to query.

    - #### setToDateStarted

          public void setToDateStarted​(java.util.Date toDateStarted)

      Sets the end date of the session started date range to query.
      Parameters:
        `toDateStarted` - The end date of the session started date range to query.

    - #### getFromDateEnded

          public java.util.Date getFromDateEnded()

      Gets the beginning date of the session ended date range to query.
      Returns:
        The beginning date of the session ended date range to query.

    - #### setFromDateEnded

          public void setFromDateEnded​(java.util.Date fromDateEnded)

      Sets the beginning date of the session started date range to query.
      Parameters:
        `fromDateEnded` - The beginning date of the session started date range to query.

    - #### getToDateEnded

          public java.util.Date getToDateEnded()

      Gets the end date of the session ended date range to query.
      Returns:
        The end date of the session ended date range to query.

    - #### setToDateEnded

          public void setToDateEnded​(java.util.Date toDateEnded)

      Sets the end date of the session ended date range to query.
      Parameters:
        `toDateEnded` - The end date of the session ended date range to query.

    - #### getLimit

          public int getLimit()

      Gets the maximum number of sessions to return.
      Returns:
        The maximum number of sessions to return.

    - #### setLimit

          public void setLimit​(int limit)

      Sets the maximum number of sessions to return.
      Parameters:
        `limit` - The maximum number of sessions to return.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`